# Uses of Class
net.shibboleth.shared.spring.service.AbstractServiceableComponent

Packages that use AbstractServiceableComponent
Package
Description
net.shibboleth.shared.service.security.impl
Security-related service implementation classes.
net.shibboleth.shared.spring.service
Spring specific implementations of `ServiceableComponent` and `ReloadableService`.
net.shibboleth.shared.spring.service.impl
Spring specific implementation of `AbstractServiceableComponent`.

## Uses of AbstractServiceableComponent in net.shibboleth.shared.service.security.impl

Subclasses of AbstractServiceableComponent in net.shibboleth.shared.service.security.impl
Modifier and Type
Class
Description
`class`
`ReloadingAccessControlService`
This class wraps an `AccessControlService` in a `ServiceableComponent`.
`class`
`ServiceableAccessControlService`
This class wraps an `AccessControlService` in a `ServiceableComponent`.

## Uses of AbstractServiceableComponent in net.shibboleth.shared.spring.service

Subclasses of AbstractServiceableComponent in net.shibboleth.shared.spring.service
Modifier and Type
Class
Description
`class`
`ApplicationContextServiceableComponent`
Wraps a Spring `ApplicationContext` so it can itself be exposed as a serviceable component.
Fields in net.shibboleth.shared.spring.service declared as AbstractServiceableComponent
Modifier and Type
Field
Description
`private AbstractServiceableComponent<T>`
ReloadableSpringService.`cachedComponent`
The last known good component.
Fields in net.shibboleth.shared.spring.service with type parameters of type AbstractServiceableComponent
Modifier and Type
Field
Description
`private final NonnullFunction<ApplicationContext,AbstractServiceableComponent<T>>`
ReloadableSpringService.`serviceStrategy`
How to summon up the `ServiceableComponent` from the `ApplicationContext`.
Methods in net.shibboleth.shared.spring.service that return AbstractServiceableComponent
Modifier and Type
Method
Description
`AbstractServiceableComponent<ApplicationContext>`
ApplicationContextServiceStrategy.`apply(ApplicationContext appContext)`
`AbstractServiceableComponent<T>`
ClassBasedServiceStrategy.`apply(ApplicationContext appContext)`
`AbstractServiceableComponent<T>`
ReloadableSpringService.`getServiceableComponent()`
Get the serviceable component that this service supports.
Constructor parameters in net.shibboleth.shared.spring.service with type arguments of type AbstractServiceableComponent
Modifier
Constructor
Description
``
`ReloadableSpringService(Class<T> claz, NonnullFunction<ApplicationContext,AbstractServiceableComponent<T>> strategy)`
Constructor.

## Uses of AbstractServiceableComponent in net.shibboleth.shared.spring.service.impl

Subclasses of AbstractServiceableComponent in net.shibboleth.shared.spring.service.impl
Modifier and Type
Class
Description
`class`
`SpringServiceableComponent<T>`
A container @{link `ServiceableComponent` which is (usually) created during spring service creation as part of service (re)load.